srcFolder = '..\posTest';
Iname = dir([srcFolder '\*.jpg']); % image file names from input folder
nimage = size(Iname, 1); % # images
Isize = zeros(nimage, 2);
for i = 1 : nimage
    tmpIm = imread([srcFolder '\' Iname(i).name]);
    if size(tmpIm,3) == 3
        tmpIm = rgb2gray(tmpIm);
    end
    I{i} = double(tmpIm); 
    Isize(i, :) = size(I{i});
end
sx = min(Isize(:, 1)); sy = min(Isize(:, 2)); 
for (i = 1 : nimage)
    I{i} = I{i}(1:sx, 1:sy); 
end   % make the sizes of the testing images the same

[tmp, a] = sort(tssPos);
a = a(1:16);
figure;
nplot = length(a);
%col = 8; row = floor(K/col*2)+1; row = col;
col = round(1+ sqrt(nplot*sx/sy));
row = (nplot+2)/col;

for tt=1:length(a);
    compact_subplot(row, col,  tt );
    imshow(I{a(tt)}, []);
end

