function CombineWithBasisLocalAdapt(iRun,gain_thres)

nF_basis = 40;
nF_oriHist = 40;

% working environment for shared sketch experiments -- testing phase
load(sprintf('out_run%d.mat',iRun),'tssNeg','tssPos');
tssNegOH = tssNeg; tssPosOH = tssPos;

load(sprintf('../sigmoidLocalAdapt/out_run%d.mat',iRun),'tssNeg','tssPos');
tssNegB = tssNeg; tssPosB = tssPos;

tssNeg = zeros(size(tssNeg,1),1);
tssPos = zeros(size(tssPos,1),1);


load(sprintf('../sigmoidLocalAdapt/model_run%d.mat',iRun),'gain');
tssNeg(:) = tssNeg(:) + sum(tssNegB(:,1:nF_basis),2);
tssPos(:) = tssPos(:) + sum(tssPosB(:,1:nF_basis),2);
clear gain;

load(sprintf('model_run%d.mat',iRun),'gain');
tssNeg(:) = tssNeg(:) + sum(tssNegOH(:,1:nF_oriHist),2);
tssPos(:) = tssPos(:) + sum(tssPosOH(:,1:nF_oriHist),2);

addpath('../');
[ap testAUC tp fp] = evaluate(tssPos,tssNeg,1);

save(sprintf('combinedWithBasisLocalAdapt_run%d',iRun),'tp','fp','testAUC','ap','tssPos','tssNeg');